Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Help & Support » X Window & GUI » Проблем при инсталацията на Compiz fusion
Тема: Проблем при инсталацията на Compiz fusion
Мнение #1 Skip to the next post in this topic.
Написано на: Февруари 27 2008, 19:00

Avatar




Група: Li fans
Мнения: 38
Регистриран: Април 2007

Оценка: няма

Offline
Здравейте,имам проблем при инсталацията на compiz fusion

1во се логвам като руут после пиша
Код: 
#echo "deb http://download.tuxfamily.org/shames/debian-sid/desktopfx/unstable/ ./" >> /etc/apt/sources.list

Код: 
#wget http://download.tuxfamily.org/shames/A42A6CF5.gpg -O- | apt-key add -

Код: 
#apt-get install compiz-fusion-kde
,но ми изписва
Код: 
Четене на списъците с пакети... Готово
Изграждане на дървото със зависимости
Reading state information... Готово
Някои пакети не можаха да бъдат инсталирани. Това може да означава,
че сте изискали невъзможна ситуация или ако използвате нестабилната
дистрибуция, че някои необходими пакети още не са създадени или пък
са били преместени от Incoming.

Тъй като сте указали единична операция, твърде е възможно пакета просто
да не може да бъде инсталиран; в такъв случай би трябвало да се подаде
доклад за грешка за този пакет.
Следната информация може да помогне за намиране на изход от ситуацията:

Следните пакети имат неудовлетворени зависимости:
 compiz-fusion-kde: Зависи от: libcompizconfig0 (>= 0.6.99) но той няма да бъде инсталиран
                    Зависи от: compizconfig-backend-kconfig (>= 0.6.99) но той няма да бъде инсталиран
                    Зависи от: python-compizconfig (>= 0.6.99) но той няма да бъде инсталиран
                    Зависи от: compizconfig-settings-manager (>= 0.6.99) но той няма да бъде инсталиран
                    Зависи от: compiz-fusion-plugins-main (>= 0.6.99) но той няма да бъде инсталиран
                    Зависи от: compiz-fusion-plugins-extra (>= 0.6.99) но той няма да бъде инсталиран
                    Зависи от: compiz-fusion-plugins-unsupported (>= 0.6.99) но той няма да бъде инсталиран
                    Зависи от: emerald (>= 0.6.99) но той няма да бъде инсталиран
                    Зависи от: emerald-themes (>= 0.6.99) но той няма да бъде инсталиран
                    Зависи от: libemeraldengine0 (>= 0.6.99) но той няма да бъде инсталиран
E: Счупени пакети


С кубунту 7.04 съм

Редактирано от dngr на Февруари 27 2008, 19:07
Контакти:  dngr
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Февруари 27 2008, 19:57

Avatar




Група: Li fans
Мнения: 105
Регистриран: Ноември 2007

Оценка: няма

Offline
Здрасти. Като си с Кубунту защо ползваш дебиански хранилища? Пробва ли с тези
Код: 
# Quattro's Ubuntu Gutsy EyeCandy Repository (GPG key: FC16ED1D)
deb http://kwatrow.nl/repo Gutsy compiz-fusion-git
deb-src http://kwatrow.nl/repo Gutsy compiz-fusion-git

Тука е 0.7 от GIT
Всъщност с тази версия пък може да се появи проблем с XCB...
Аз ти препоръчвам един скрипт който да ти компилира и инсталира последната налична в git версия със пачове за да няма проблеми. Изтегли скрипта makefusion8 от тук http://telperion.wordpress.com/2007....lazione
За съжаление е леко на жабарски :D
Записваш го някъде и го едитваш. В първата част има няколко неща които трябва да промениш като например дистрибуция и т.н. Има си обяснения на англииски. Обърни внимание на COMPIZ_VERSION трябва да е noxcb за да може да се компилира.  След това махаш всичко свързано  с compiz от adept и стартираш скрипта в следния ред.
1. makefusion8 packages
2. makefusion8 clone
3. makefusion8 install
Първо ще провери зависимостите и ще ги оправи, после сваля версията от git и накрая компилира и инсталира. При мен всичко мина без проблем на Kubuntu 7.10. Така както си е ще инсталира много малко плугини но можеш да си изтеглиш всичко от git и сам да решиш какво ти трябва или като пкаети main/extra/unsupported или 1 по 1. Също може и да си ги добавиш да ти ги инсталира скрипта в CCPLUGINS. Какво има в git можеш да видиш тук http://gitweb.compiz-fusion.org/
Ако нещо не ти е ясно питай пак :)
Успех!
Контакти:  todir
WEB  
Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 04 2008, 20:28

Avatar




Група: Li fans
Мнения: 38
Регистриран: Април 2007

Оценка: няма

Offline
Направих всичко стъпка по стъпка,но преди да го инсталирам можех да влизам в "Системни настройки",но сега не мога.
Код: 
$ systemsettings
X Error: BadDevice, invalid or uninitialized input device 169
 Major opcode:  145
 Minor opcode:  3
 Resource id:  0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 169
 Major opcode:  145
 Minor opcode:  3
 Resource id:  0x0
Failed to open device
KCrash: Application 'systemsettings' crashing...

Как да го оправя?
Контакти:  dngr
WEB  
Мнение #4 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 04 2008, 20:37

Avatar




Група: Li fans
Мнения: 235
Регистриран: Октомври 2007

Оценка: няма

Offline
Използвай ККонтрол:
Код: 
kcontrol


Skype:lodaka1
Всеки,който се нуждае от помощ за да дава пълна информация за проблема(дистро,модел на хардуера(хардуерен проблем),а ако е софтуерен-грешка при компилация или хранилища или програми или там квото и да е).
Контакти:  me4oslav

  • AOL  AOL:
  • ICQ  ICQ: 305004492
  • MSN  MSN: kozamadjanam@hotmail.com
  • YIM  Yahoo IM:
Мнение #5 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 04 2008, 23:53

Avatar




Група: Li fans
Мнения: 38
Регистриран: Април 2007

Оценка: няма

Offline
Цитат: (me4oslav @ Март 04 2008, 20:37)

Използвай ККонтрол:
Код: 
kcontrol

Мерси,това го оправих. :)
Но с тези проблеми чак сега се сетих да тествам compiz-a.
Пиша compiz --replace,но като че ли системата забива. :14; Почти нищо не може да се прави.Имали някакъв начин да се оправи или е от компютъра ми? (Процесор:AMD Athlon 1500+ Videocart:Radeon 9200 128mb RAM:256)
Контакти:  dngr
WEB  
Мнение #6 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 05 2008, 08:10

Avatar




Група: Li fans
Мнения: 235
Регистриран: Октомври 2007

Оценка: няма

Offline
Пробва ли да го стартираш от Fusion-Icon:
Код: 
fusion-icon

Ако и така не стане виж така:
Код: 
echo "compiz --replace gconf & gnome-window-decorator &" > ~/.kde/Autostart/startcompiz.sh

Код: 
chmod +x ~/.kde/Autostart/startcompiz.sh

И после рестни компа.
Ако и така не стане си виж /etc/X11/xorg.conf дали има накрая ето това:
Код: 
Section "Module"
Load "glx"
EndSection
Section "Extensions"
       Option "Composite" "1"
EndSection

и ако няма го добави.
А и btw дай изхода от
Цитат: 

compiz --replace
и може да се нуждаеш от XGL за да го подкараш
Код: 
sudo apt-get install xserver-xgl
и дай да видим и xorg.conf-а:
Код: 
cat /etc/X11/xorg.conf


Редактирано от me4oslav на Март 05 2008, 09:52


Skype:lodaka1
Всеки,който се нуждае от помощ за да дава пълна информация за проблема(дистро,модел на хардуера(хардуерен проблем),а ако е софтуерен-грешка при компилация или хранилища или програми или там квото и да е).
Контакти:  me4oslav

  • AOL  AOL:
  • ICQ  ICQ: 305004492
  • MSN  MSN: kozamadjanam@hotmail.com
  • YIM  Yahoo IM:
Мнение #7 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 05 2008, 10:52

Avatar




Група: Li fans
Мнения: 105
Регистриран: Ноември 2007

Оценка: няма

Offline
Със XGL не се захващай ;)
Дай малко инфо с какви драйвери ти е видеокартата и пусни какво казва като стартираш compiz --replace . Може и да не са ти активирани и плугнините. Пусни си settings manager-а и виж какво е активирано и какво не Start - Systems - Settings - CompizConfig Settings Manager  или в конзолата cssm. Ако искаш да спреш compiz пишеш в конзолата kwin --replace. Или както ти каза me4oslav стартирай си fusion-icon и от там прави всичко. Пейстни и xorg.conf да го видиме.

me4oslave това е за гном пък и като му забива компа не виждам защо го съветваш да го вкара в аутостарта и после всеки път да му забива.
Код: 
echo "compiz --replace gconf & gnome-window-decorator &" > ~/.kde/Autostart/startcompiz.sh


Редактирано от todir на Март 05 2008, 10:56
Контакти:  todir
WEB  
Мнение #8 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 05 2008, 11:40

Avatar




Група: Li fans
Мнения: 235
Регистриран: Октомври 2007

Оценка: няма

Offline
ми и аз имах такъв проблем с забиващо КДЕ с Компиз-Фюжън и оправих по този начин (echo "compiz --replace gconf & gnome-window-decorator &" > ~/.kde/Autostart/startcompiz.sh),затова му го дадох.То начина е от SuSE и Убунту-Документация и при мен работеше,но имах и инсталирано Гноме затова.Предположих че и той има.В смисъл ако компиза му забъгва с КДЕ(kconf),то поне знам че под Гном не забъгва(gconf) и затова реших да сложа compiz --replace gconf,за да може КДЕ-то да използва Гном настройките за Компиз,които си вървят.Но това беше само че в случай,че има Гном.Сори ако съм го объркал човека.Сега чакаме ксорг.конф-а и изхода от компиз --риплейз да видим какво аджиба става.

Редактирано от me4oslav на Март 05 2008, 12:03


Skype:lodaka1
Всеки,който се нуждае от помощ за да дава пълна информация за проблема(дистро,модел на хардуера(хардуерен проблем),а ако е софтуерен-грешка при компилация или хранилища или програми или там квото и да е).
Контакти:  me4oslav

  • AOL  AOL:
  • ICQ  ICQ: 305004492
  • MSN  MSN: kozamadjanam@hotmail.com
  • YIM  Yahoo IM:
Мнение #9 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 05 2008, 15:21

Avatar




Група: Li fans
Мнения: 38
Регистриран: Април 2007

Оценка: няма

Offline
Изход от compiz --replace

Код: 
compiz (core) - Fatal: GLX_EXT_texture_from_pixmax is missing
compiz (core) - Error: Failed to manage screens:0
compiz (core) - Fatal:No manageable screens found on display 0:0


xorg.conf

Код: 
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf(5) manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
FontPath "/usr/share/fonts/X11/misc"
FontPath "/usr/share/fonts/X11/cyrillic"
FontPath "/usr/share/fonts/X11/100dpi/:unscaled"
FontPath "/usr/share/fonts/X11/75dpi/:unscaled"
FontPath "/usr/share/fonts/X11/Type1"
FontPath "/usr/share/fonts/X11/100dpi"
FontPath "/usr/share/fonts/X11/75dpi"
# path to defoma fonts
FontPath "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
Load "i2c"
Load "bitmap"
Load "ddc"
Load "dri"
Load "extmod"
Load "freetype"
Load "glx"
Load "int10"
Load "vbe"
EndSection

Section "InputDevice"
Identifier "Generic Keyboard"
Driver "kbd"
Option "CoreKeyboard"
Option "XkbRules" "xorg"
Option "XkbModel" "pc105"
Option "XkbLayout" "us,bg"
Option "XkbVariant" ","
Option "XkbOptions" "grp:alt_shift_toggle,grp_led:scroll"
EndSection

Section "InputDevice"
Identifier "Configured Mouse"
Driver "mouse"
Option "CorePointer"
Option "Device" "/dev/input/mice"
Option "Protocol" "ImPS/2"
Option "ZAxisMapping" "4 5"
Option "Emulate3Buttons" "true"
EndSection

Section "InputDevice"
Driver "wacom"
Identifier "stylus"
Option "Device" "/dev/input/wacom"
Option "Type" "stylus"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "InputDevice"
Driver "wacom"
Identifier "eraser"
Option "Device" "/dev/input/wacom"
Option "Type" "eraser"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "InputDevice"
Driver "wacom"
Identifier "cursor"
Option "Device" "/dev/input/wacom"
Option "Type" "cursor"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "Device"
Identifier "ATI Technologies Inc RV280 [Radeon 9200 SE]"
Driver "ati"
BusID "PCI:1:0:0"
EndSection

Section "Monitor"
Identifier "1705 S1"
Option "DPMS"
EndSection

Section "Screen"
Identifier "Default Screen"
Device "ATI Technologies Inc RV280 [Radeon 9200 SE]"
Monitor "1705 S1"
DefaultDepth 24
SubSection "Display"
Depth 1
Modes "1280x1024" "1152x864" "1024x768" "832x624" "800x600" "720x400" "640x480"
EndSubSection
SubSection "Display"
Depth 4
Modes "1280x1024" "1152x864" "1024x768" "832x624" "800x600" "720x400" "640x480"
EndSubSection
SubSection "Display"
Depth 8
Modes "1280x1024" "1152x864" "1024x768" "832x624" "800x600" "720x400" "640x480"
EndSubSection
SubSection "Display"
Depth 15
Modes "1280x1024" "1152x864" "1024x768" "832x624" "800x600" "720x400" "640x480"
EndSubSection
SubSection "Display"
Depth 16
Modes "1280x1024" "1152x864" "1024x768" "832x624" "800x600" "720x400" "640x480"
EndSubSection
SubSection "Display"
Depth 24
Modes "1280x1024" "1152x864" "1024x768" "832x624" "800x600" "720x400" "640x480"
EndSubSection
EndSection

Section "ServerLayout"
Identifier "Default Layout"
Screen "Default Screen"
InputDevice "Generic Keyboard"
InputDevice "Configured Mouse"
InputDevice     "stylus" "SendCoreEvents"
InputDevice     "cursor" "SendCoreEvents"
InputDevice     "eraser" "SendCoreEvents"
EndSection

Section "DRI"
Mode 0666
EndSection

Драйвъри не съм инсталирал,защото ми казаха,че няма смисъл.
П.П:С fusion-icon пак забива.
Контакти:  dngr
WEB  
Мнение #10
Skip to the previous post in this topic. Написано на: Март 05 2008, 19:18

Avatar




Група: Li fans
Мнения: 105
Регистриран: Ноември 2007

Оценка: няма

Offline
Да ясно с Xorg драйвера си затова става така :) Стартирай compiz със
Код: 
LIBGL_ALWAYS_INDIRECT=1 compiz --replace

Трябва и пред fusion-icon да го слагаш за да пали compiz-а ;)
Лично аз ти препоръчвам да едитнеш иконата на fusion-icon в старт менюто и да добавиш LIBGL_ALWAYS_INDIRECT=1 пред командата за да не го пишеш всеки път.
Добави слените неща в section "device" в xorg.conf
Код: 
Option "DRI" "True"
Option "EnablePageFlip" "True"
Option "XAANoOffscreenPixmaps" "True"
Option "DDCMode"

В  Section "Screen" промени DefaultDepth на 16, че ти е слабичка картата ;)
И накрая на xorg.conf добави следните редове:
Код: 
Section "Extensions"
Option    "Composite" "Enable"
EndSection

Това е за сега. Успех  :43;

ПП: Ако искаш изтрйи или коментирай следните редове за да не ти дава тия глупави ерори на всяка команда в конзолата
Код: 
Section "InputDevice"
Driver "wacom"
Identifier "stylus"
Option "Device" "/dev/input/wacom"
Option "Type" "stylus"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "InputDevice"
Driver "wacom"
Identifier "eraser"
Option "Device" "/dev/input/wacom"
Option "Type" "eraser"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "InputDevice"
Driver "wacom"
Identifier "cursor"
Option "Device" "/dev/input/wacom"
Option "Type" "cursor"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

От Section "ServerLayout"
Код: 
InputDevice     "stylus" "SendCoreEvents"
InputDevice     "cursor" "SendCoreEvents"
InputDevice     "eraser" "SendCoreEvents"


Редактирано от todir на Март 05 2008, 19:23
Контакти:  todir
WEB  
Общо 20 отговор(а) от Февруари 27 2008, 19:00 до сега
 » Начало » Li Форуми » Help & Support » X Window & GUI » Проблем при инсталацията на Compiz fusion

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums